Opened 12 years ago

Closed 11 years ago

#19487 closed defect (fixed)

evolution-data-server fails update from 2.24.5_1 to 2.26.1.1_0

Reported by: david.rowe@… Owned by: jeremyhu (Jeremy Huddleston Sequoia)
Priority: Normal Milestone:
Component: ports Version: 1.7.1
Keywords: evolution-data-server Cc:
Port: nss

Description (last modified by dbevans (David B. Evans))

The update failed with the last log messages being:


[snip]

gtk-doc: Linking scanner[[BR]]
/usr/bin/gcc-4.0 -O2 -Wall -Wmissing-prototypes -Wno-sign-compare -Wno-pointer-sign -o .libs/libebook-scan .libs/libebook-scan.o  -L/opt/local/lib ../../../../addressbook/libebook/.libs/libebook-1.2.dylib /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_ports_gnome_evolution-data-server/work/evolution-data-server-2.26.1.1/camel/.libs/libcamel-1.2.dylib -L/opt/local/lib/nspr /opt/local/lib/libsqlite3.dylib -L/usr/lib -lkrb5 -lk5crypto -lcom_err -lgssapi_krb5 -L/opt/local/lib/nss -lssl3 -lsmime3 -lnss3 -lsoftokn3 /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_ports_gnome_evolution-data-server/work/evolution-data-server-2.26.1.1/libedataserver/.libs/libedataserver-1.2.dylib -ldl -lplc4 -lplds4 -lnspr4 /opt/local/lib/libsoup-2.4.dylib /opt/local/lib/libgnutls.dylib /opt/local/lib/libtasn1.dylib /opt/local/lib/libgcrypt.dylib /opt/local/lib/libgpg-error.dylib /opt/local/lib/libgio-2.0.dylib /opt/local/lib/libxml2.dylib -lpthread -lz /opt/local/lib/libbonobo-2.dylib /opt/local/lib/libbonobo-activation.dylib /opt/local/lib/libORBitCosNaming-2.dylib /opt/local/lib/libgconf-2.dylib /opt/local/lib/libdbus-glib-1.dylib /opt/local/lib/libORBit-2.dylib -lresolv -lm /opt/local/lib/libdbus-1.dylib /opt/local/lib/libgmodule-2.0.dylib /opt/local/lib/libgthread-2.0.dylib /opt/local/lib/libgobject-2.0.dylib /opt/local/lib/libglib-2.0.dylib /opt/local/lib/libintl.dylib -lc /opt/local/lib/libiconv.dylib[[BR]]  
creating libebook-scan[[BR]]
Use of uninitialized value in concatenation (.) or string at /opt/local/bin/gtkdoc-scangobj line 1548, <TYPES> line 15.
gtk-doc: Running scanner libebook-scan[[BR]]
dyld: Library not loaded: /opt/local/lib/libnss3.dylib
  Referenced from: /opt/local/lib/nss/libssl3.dylib
  Reason: image not found
Scan failed:[[BR]]
make[5]: *** [scan-build.stamp] Error 255
make[4]: *** [all-recursive] Error 1
make[3]: *** [all-recursive] Error 1
make[2]: *** [all-recursive] Error 1
make[1]: *** [all-recursive] Error 1
make: *** [all] Error 2

Error: Unable to upgrade port: 1

Looking at the file store:
There was a /opt/local/lib/nss/libssl3.dylib
There was no /opt/local/lib/libnss3.dylib


On the advice of Jeremy Huddleston <jeremyhu@…> I tried:


bash-3.2# sudo port -v clean nss
--->  Cleaning nss
--->  Removing build directory for nss
bash-3.2# sudo port -v upgrade nss
bash-3.2# sudo port upgrade evolution-data-server

[snip]
[same error messages as above]


On the advice of Jeremy Huddleston, I then tried the following workaround:


sudo port -v -f uninstall nss
sudo port -v -f install nss
sudo port upgrade evolution-data-server


And that worked OK for me

Change History (4)

comment:1 Changed 12 years ago by dbevans (David B. Evans)

Description: modified (diff)
Keywords: evolution-data-server added
Owner: changed from macports-tickets@… to jeremyhu@…
Port: nss added

It appears the problem has been resolved. Looks like nss failed to get fully upgraded after recent change in library locations before attempting to install evolution-data-server. Assigning to nss maintainer for any futher follow up.

comment:2 Changed 12 years ago by jeremyhu (Jeremy Huddleston Sequoia)

And you have the long from the 'sudo port -v upgrade nss' and 'sudo port -v install nss' to attach?

comment:3 in reply to:  2 Changed 12 years ago by drowe@…

Replying to jeremyhu@…:

And you have the long from the 'sudo port -v upgrade nss' and 'sudo port -v install nss' to attach?

By 'the long', I presume that you mean the full terminal log. Sorry I forgot to save the full log - but I think that all there was was what I included. I was surprised at the time by how little output there was from the two commands.

If it is important, I can try and revert my installations to the previous versions and repeat.

comment:4 Changed 11 years ago by jeremyhu (Jeremy Huddleston Sequoia)

Resolution: fixed
Status: newclosed

This is 3 months old. I thought I fixed this a while ago, so I must've forgotten to close the bug. ><

Note: See TracTickets for help on using tickets.